You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@camel.apache.org by as...@apache.org on 2021/02/08 08:27:22 UTC

[camel-k] 03/04: Fix: Makefile logic for sed, the wrong way around

This is an automated email from the ASF dual-hosted git repository.

astefanutti pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/camel-k.git

commit 913a0169649afa891983576299f2056afe0cdca0
Author: phantomjinx <p....@phantomjinx.co.uk>
AuthorDate: Wed Feb 3 13:38:22 2021 +0000

    Fix: Makefile logic for sed, the wrong way around
    
    * On Darwin, sed requires an extra argument for the backup file whilst on
      Linux is does not.
---
 script/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/script/Makefile b/script/Makefile
index 88e6bd3..7c7d5e2 100644
--- a/script/Makefile
+++ b/script/Makefile
@@ -345,7 +345,7 @@ bundle: generate-crd $(BUNDLE_CAMEL_APIS) kustomize
 	@# Build kustomize manifests
 	$(KUSTOMIZE) build config/manifests | operator-sdk generate bundle --overwrite --version $(OPERATOR_VERSION) $(BUNDLE_METADATA_OPTS)
 	@# Move the dockerfile into the bundle directory
-ifneq ($(uname -s 2>/dev/null || echo Unknown),Darwin)
+ifeq ($(shell uname -s 2>/dev/null || echo Unknown),Darwin)
 	mv bundle.Dockerfile bundle/Dockerfile && sed -i '.bak' 's/bundle\///g' bundle/Dockerfile
 else
 	mv bundle.Dockerfile bundle/Dockerfile && sed -i 's/bundle\///g' bundle/Dockerfile